import u1db.errors

for x in u1db.errors.__dict__:
    cand = getattr(u1db.errors, x)
    if isinstance(cand, type) and issubclass(cand, u1db.errors.U1DBError):
        if cand is u1db.errors.U1DBError or cand is u1db.errors.HTTPError:
            continue;
        descr = cand.wire_description
        if descr == "error":
            descr = None
        print "defineErr(%r, %s)" % (cand.__name__, "null" if descr is None
                                     else "%r" % descr)
